Bug 59765 - Problems with ppp in kernel
Summary: Problems with ppp in kernel
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-12 21:58 UTC by Leonid Kanter
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-28 21:23:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leonid Kanter 2002-02-12 21:58:32 UTC
Description of Problem:

Strange messages on console and in dmesg after ifup ppp0

vfree(): sleeping in interrupt!!
c9c87f04 c0296ec0 d092f008 cbdf99e0 d0938cf4 d0962000 d093287a 00000000
      d0962008 cbdf99cc 00003008 bffffbe4 d0938db2 cbdf99e0 cd0c1400 d091c407
      cbdf99cc 00000048 d091972b cd0c1400 00000011 bffffa9c c0115223 fffffff2
Call Trace: [<d0938cf4>] adler32 [ppp_deflate] 0x184
[<d093287a>] deflateEnd [ppp_deflate] 0x5a
[<d0938db2>] adler32 [ppp_deflate] 0x242
[<d091c407>] ppp_output_wakeup_R1804a995 [ppp_generic] 0x417
[<d091972b>] __insmod_ppp_generic_S.text_L16272 [ppp_generic] 0x6cb
[<c0115223>] do_fork [kernel] 0x453
[<c0115407>] do_fork [kernel] 0x637
[<c0143907>] sys_ioctl [kernel] 0x217
[<c0106ecb>] system_call [kernel] 0x33 


Version-Release number of selected component (if applicable):

2.4.17-0.13, ppp-2.4.1-3

How Reproducible:

always

Steps to Reproduce:
1. configure ppp dialup
2. activete connection
3. 

Actual Results:

strange messages on console and in dmesg

Expected Results:

must be silent

Additional Information:
	
2.4.9-21 - everything is OK

Comment 1 Leonid Kanter 2003-01-28 21:23:01 UTC
This problem isn't reproduced in newer kernels 


Note You need to log in before you can comment on or make changes to this bug.